commit 7873388080bab5dbde9190d2dc068da0d91369cc
Author: Petr Urban <urbanp@gapps.zcu.cz>
Date:   Fri Jun 24 14:06:21 2022 +0200

    #20 created home page template including FOOTER! and added newer version of bootstrap. -- Upgrade in whole project needs to be done.

diff --git a/src/main/java/cz/zcu/fav/kiv/antipatterndetectionapp/controller/AppController.java b/src/main/java/cz/zcu/fav/kiv/antipatterndetectionapp/controller/AppController.java
index 74c5b8e..2671d8b 100644
--- a/src/main/java/cz/zcu/fav/kiv/antipatterndetectionapp/controller/AppController.java
+++ b/src/main/java/cz/zcu/fav/kiv/antipatterndetectionapp/controller/AppController.java
@@ -55,6 +55,12 @@ public class AppController {
     @Autowired
     private ConfigurationService configurationService;
 
+    @GetMapping("/")
+    public String mainPage(Model model) {
+        model.addAttribute("query", new Query(projectService.getAllProjects(), antiPatternService.antiPatternsToModel(antiPatternService.getAllAntiPatterns())));
+        return "main-page";
+    }
+
     /**
      *  This method is called by the GET method and initializes
      *  the main page of the application (index). Loads all projects
@@ -63,7 +69,7 @@ public class AppController {
      * @param model object for passing data to the UI
      * @return html file name for thymeleaf template
      */
-    @GetMapping("/")
+    @GetMapping("/detect")
     public String index(Model model) {
         model.addAttribute("query", new Query(projectService.getAllProjects(), antiPatternService.antiPatternsToModel(antiPatternService.getAllAntiPatterns())));
         return "index";
